Bug 135468 - Parted does not report partition information correctly when the partition size is greater then 1 TB.
Parted does not report partition information correctly when the partition siz...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: parted (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Brock Organ
:
Depends On: 121609
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 17:15 EDT by Peter Martuccelli
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 10:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch attached for parted.c (519 bytes, patch)
2004-10-12 17:17 EDT, Peter Martuccelli
no flags Details | Diff

  None (edit)
Description Peter Martuccelli 2004-10-12 17:15:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
Parted does not report partition information correctly to the user
when the partition sixe exceeds 1 TB in size.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.parted /dev/sda mkpart primary 0 1048577
2.
3.
    

Additional info:

This Bugzilla entry contains a patch that fixes the problem when used
in conjunction with the kernel patch proposed for Bugzilla entry #116289.
Comment 1 Peter Martuccelli 2004-10-12 17:17:35 EDT
Created attachment 105092 [details]
Patch attached for parted.c
Comment 2 Jeremy Katz 2004-10-12 22:02:15 EDT
Fixed for RHEL 3 and HEAD.  Mailed the patch to bug-parted
Comment 3 Chris Lumens 2005-01-19 16:23:32 EST
Peter - has this bug been fixed for you?  I don't quite have the disks in my
test machines to verify.
Comment 4 Peter Martuccelli 2005-01-19 17:59:15 EST
I will test parted along with the kernel changes targeted for
inclusion in RHEL3 U5.
Comment 6 Dennis Gregorovic 2005-05-18 10:34:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-246.html

Note You need to log in before you can comment on or make changes to this bug.